## BtWireCanvasItem BtWireCanvasItem — class for the editor wire views wire canvas item |

## Functions

BtWireCanvasItem * | bt_wire_canvas_item_new ()
void | bt_wire_show_analyzer_dialog ()

## Properties

BtSignalAnalysisDialog * | analysis-dialog | Read
BtMachineCanvasItem * | dst | Read / Write / Construct Only
BtMainPageMachines * | machines-page | Read / Write / Construct Only
BtMachineCanvasItem * | src | Read / Write / Construct Only
BtWire * | wire | Read / Write / Construct Only
gdouble | zoom | Read / Write

## Types and Values

struct | BtWireCanvasItem

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── ClutterActor
                ╰── BtWireCanvasItem

## Implemented Interfaces

BtWireCanvasItem implements ClutterContainer, ClutterScriptable, ClutterAnimatable and AtkImplementorIface.

## Includes

    #include "bt-edit.h"

## Description

Provides volume control on the wires, as well as a menu to disconnect wires and to launch the analyzer screen.

## Functions

### bt_wire_canvas_item_new ()

    BtWireCanvasItem *
    bt_wire_canvas_item_new (const BtMainPageMachines *main_page_machines,
                             BtWire *wire,
                             BtMachineCanvasItem *src_machine_item,
                             BtMachineCanvasItem *dst_machine_item);

Create a new instance

#### Parameters

main_page_machines | the machine page the new item belongs to |
wire | the wire for which a canvas item should be created |
src_machine_item | the machine item at start |
dst_machine_item | the machine item at end |

#### Returns

the new instance or `NULL` in c#if 0 ase of an error

### bt_wire_show_analyzer_dialog ()

    void
    bt_wire_show_analyzer_dialog (BtWire *wire);

Shows the wire analyzer dialog.

#### Parameters

wire | wire to show the dialog for |

Since: 0.6

## Types and Values

### struct BtWireCanvasItem

    struct BtWireCanvasItem;

the root window for the editor application

## Property Details

### The `“analysis-dialog”` property

      “analysis-dialog”          BtSignalAnalysisDialog *

Get the the analysis dialog if shown.

Flags: Read

### The `“dst”` property

      “dst”                      BtMachineCanvasItem *

Set wire dst machine canvas item.

Flags: Read / Write / Construct Only

### The `“machines-page”` property

      “machines-page”            BtMainPageMachines *

Set application object, the window belongs to.

Flags: Read / Write / Construct Only

### The `“src”` property

      “src”                      BtMachineCanvasItem *

Set wire src machine canvas item.

Flags: Read / Write / Construct Only

### The `“wire”` property

      “wire”                     BtWire *

Set wire object, the item belongs to.

Flags: Read / Write / Construct Only

### The `“zoom”` property

      “zoom”                     gdouble

Set zoom ratio for the wire item.

Flags: Read / Write

Allowed values: [0,100]

Default value: 1

## See Also

BtSignalAnalysisDialog